cxf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ningji...@apache.org
Subject svn commit: r1173532 - in /cxf/trunk/distribution/src/main/release/bin: wsdl2idl wsdl2idl.bat
Date Wed, 21 Sep 2011 09:05:51 GMT
Author: ningjiang
Date: Wed Sep 21 09:05:51 2011
New Revision: 1173532

URL: http://svn.apache.org/viewvc?rev=1173532&view=rev
Log:
CXF-3815 Add bin script for wsdl2idl

Added:
    cxf/trunk/distribution/src/main/release/bin/wsdl2idl   (with props)
    cxf/trunk/distribution/src/main/release/bin/wsdl2idl.bat   (with props)

Added: cxf/trunk/distribution/src/main/release/bin/wsdl2idl
URL: http://svn.apache.org/viewvc/cxf/trunk/distribution/src/main/release/bin/wsdl2idl?rev=1173532&view=auto
==============================================================================
--- cxf/trunk/distribution/src/main/release/bin/wsdl2idl (added)
+++ cxf/trunk/distribution/src/main/release/bin/wsdl2idl Wed Sep 21 09:05:51 2011
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+#
+#    Licensed to the Apache Software Foundation (ASF) under one
+#    or more contributor license agreements. See the NOTICE file
+#    distributed with this work for additional information
+#    regarding copyright ownership. The ASF licenses this file
+#    to you under the Apache License, Version 2.0 (the
+#    "License"); you may not use this file except in compliance
+#    with the License. You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing,
+#    software distributed under the License is distributed on an
+#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#    KIND, either express or implied. See the License for the
+#    specific language governing permissions and limitations
+#    under the License.
+#
+#
+# run the Apache CXF wsdl2idl tool 
+#
+# Check for irritating 'operating systems'.
+cygwin=false;
+darwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  Darwin*) darwin=true
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
+           fi
+           ;;
+esac
+
+me=`basename $0`
+cxf_home=$CXF_HOME
+if [ ! -f  $cxf_home/lib/cxf-manifest.jar ]; then
+    cxf_home=`dirname $0`/..
+fi
+
+cxf_jar=$cxf_home/lib/cxf-manifest.jar
+
+if [ ! -f $cxf_jar ]; then 
+    if [ ! -f ${cxf_home}/../../../target/srcbuild_env ]; then
+        echo "ERROR: Unable to find cxf-manifest.jar in $cxf_home/lib"
+        exit 1
+    else
+        . ${cxf_home}/../../../target/srcbuild_env
+        cxf_jar=${CXF_CLASSPATH}
+    fi
+fi 
+
+log_config=$cxf_home/etc/logging.properties 
+if $cygwin; then
+  if [ "$OS" = "Windows_NT" ] && cygpath -m .>/dev/null 2>/dev/null ; then
+    format=mixed
+  else
+    format=windows
+  fi
+  cxf_classpath=`cygpath --$format "${cxf_jar}"`
+  if [ ! -z "${CLASSPATH}" ]; then
+    cxf_classpath=${cxf_classpath}\;`cygpath --$format --path "${CLASSPATH}"`
+  fi
+  log_config=`cygpath --$format "$log_config"`
+else
+   cxf_classpath=${cxf_jar}:${CLASSPATH}
+fi
+
+$JAVA_HOME/bin/java -Djava.endorsed.dirs="${cxf_home}/lib/endorsed" -cp "${cxf_classpath}"
-Djava.util.logging.config.file=$log_config org.apache.cxf.tools.corba.WSDLToIDL "$@"
+
+
+
+
+

Propchange: cxf/trunk/distribution/src/main/release/bin/wsdl2idl
------------------------------------------------------------------------------
    svn:executable = *

Added: cxf/trunk/distribution/src/main/release/bin/wsdl2idl.bat
URL: http://svn.apache.org/viewvc/cxf/trunk/distribution/src/main/release/bin/wsdl2idl.bat?rev=1173532&view=auto
==============================================================================
--- cxf/trunk/distribution/src/main/release/bin/wsdl2idl.bat (added)
+++ cxf/trunk/distribution/src/main/release/bin/wsdl2idl.bat Wed Sep 21 09:05:51 2011
@@ -0,0 +1,57 @@
+@echo off
+rem
+rem
+rem    Licensed to the Apache Software Foundation (ASF) under one
+rem    or more contributor license agreements. See the NOTICE file
+rem    distributed with this work for additional information
+rem    regarding copyright ownership. The ASF licenses this file
+rem    to you under the Apache License, Version 2.0 (the
+rem    "License"); you may not use this file except in compliance
+rem    with the License. You may obtain a copy of the License at
+rem
+rem    http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem    Unless required by applicable law or agreed to in writing,
+rem    software distributed under the License is distributed on an
+rem    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+rem    KIND, either express or implied. See the License for the
+rem    specific language governing permissions and limitations
+rem    under the License.
+rem
+rem
+
+rem 
+rem  invoke the CXF wsdl2idl tool
+rem 
+@setlocal
+
+if not defined CXF_HOME goto set_cxf_home
+                                                                                        
                                                                    
+:cont
+if not defined JAVA_HOME goto no_java_home
+
+set TOOLS_JAR=%JAVA_HOME%\lib\tools.jar;
+
+if not exist "%CXF_HOME%\lib\cxf-manifest.jar" goto no_cxf_jar
+
+set CXF_JAR=%CXF_HOME%\lib\cxf-manifest.jar
+
+"%JAVA_HOME%\bin\java" -Djava.endorsed.dirs="%CXF_HOME%\lib\endorsed" -cp "%CXF_JAR%;%TOOLS_JAR%;%CLASSPATH%"
-Djava.util.logging.config.file="%CXF_HOME%\etc\logging.properties" org.apache.cxf.tools.corba.WSDLToIDL
%*
+
+@endlocal
+
+goto end
+
+:no_cxf_jar
+echo ERROR: Unable to find cxf-manifest.jar in %cxf_home/lib
+goto end
+
+:no_java_home
+echo ERROR: Set JAVA_HOME to the path where the JDK (5.0 or higher) is installed
+goto end 
+
+:set_cxf_home
+set CXF_HOME=%~dp0..
+goto cont
+
+:end

Propchange: cxf/trunk/distribution/src/main/release/bin/wsdl2idl.bat
------------------------------------------------------------------------------
    svn:eol-style = native



Mime
View raw message